//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "eFijarVencimientos.h"
#include "main.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfijarVencimientos *fijarVencimientos;
//---------------------------------------------------------------------------
__fastcall TfijarVencimientos::TfijarVencimientos(TComponent* Owner)
        : TForm(Owner)
{
  DateTimePicker1->Date = eRecibos->TbRecibos->FieldByName("Vencimiento")->AsDateTime;
}
//---------------------------------------------------------------------------
void __fastcall TfijarVencimientos::BitBtn2Click(TObject *Sender)
{
 eRecibos->TbRecibos->Cancel();
 Close();        
}
//---------------------------------------------------------------------------
void __fastcall TfijarVencimientos::DateTimePicker1Change(TObject *Sender)
{
 ReCalcularVencimientos();
}
//---------------------------------------------------------------------------
void __fastcall TfijarVencimientos::Edit1Change(TObject *Sender)
{
 // Fijamos el nuevo nmero de filas
 try {
         StringGrid1->RowCount = Edit1->Text.ToInt();
         ReCalcularVencimientos();
 } catch(...) {
 //nothing
 }
}
//---------------------------------------------------------------------------
void __fastcall TfijarVencimientos::Edit2Change(TObject *Sender)
{
 ReCalcularVencimientos();
}
//---------------------------------------------------------------------------
void __fastcall TfijarVencimientos::ReCalcularVencimientos(void)
{
  try {
          //
          for( int i=0; i<StringGrid1->RowCount; i++ )
          {
            StringGrid1->Cells[0][i] = DateToStr( DateTimePicker1->Date + Edit2->Text.ToInt() * i );
            StringGrid1->Cells[1][i] = eRecibos->TbRecibos->FieldByName("Importe")->AsString;
          }
  } catch(...) {
  //nothing
  }
}
//---------------------------------------------------------------------------

void __fastcall TfijarVencimientos::BitBtn1Click(TObject *Sender)
{
  // Afianzamos el actual
  eRecibos->TbRecibos->FieldByName("Vencimiento")->AsString = StringGrid1->Cells[0][0];
  eRecibos->TbRecibos->FieldByName("Importe")->AsString = StringGrid1->Cells[1][0];
  eRecibos->TbRecibos->Post();
  for( int i=1; i<StringGrid1->RowCount; i++ )
  {
    eRecibos->TbRecibos->Insert();
    eRecibos->TbRecibos->FieldByName("Vencimiento")->AsString = StringGrid1->Cells[0][i];
    eRecibos->TbRecibos->FieldByName("Importe")->AsString = StringGrid1->Cells[1][i];
    eRecibos->TbRecibos->Post();
  }
  Close();
}
//---------------------------------------------------------------------------
